com.amazonaws.services.cloudfront.model

## Class UpdateCloudFrontOriginAccessIdentityRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.cloudfront.model.UpdateCloudFrontOriginAccessIdentityRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdateCloudFrontOriginAccessIdentityRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The request to update an origin access identity.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdateCloudFrontOriginAccessIdentityRequest()` Default constructor for UpdateCloudFrontOriginAccessIdentityRequest object.
`UpdateCloudFrontOriginAccessIdentityRequest(CloudFrontOriginAccessIdentityConfig cloudFrontOriginAccessIdentityConfig, String id, String ifMatch)` Constructs a new UpdateCloudFrontOriginAccessIdentityRequest object.

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateCloudFrontOriginAccessIdentityRequest` `clone()`
`boolean` `equals(Object obj)`
`CloudFrontOriginAccessIdentityConfig` `getCloudFrontOriginAccessIdentityConfig()` The identity's configuration information.
`String` `getId()` The identity's id.
`String` `getIfMatch()` The value of the `ETag` header that you received when retrieving the identity's configuration.
`int` `hashCode()`
`void` `setCloudFrontOriginAccessIdentityConfig(CloudFrontOriginAccessIdentityConfig cloudFrontOriginAccessIdentityConfig)` The identity's configuration information.
`void` `setId(String id)` The identity's id.
`void` `setIfMatch(String ifMatch)` The value of the `ETag` header that you received when retrieving the identity's configuration.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateCloudFrontOriginAccessIdentityRequest` `withCloudFrontOriginAccessIdentityConfig(CloudFrontOriginAccessIdentityConfig cloudFrontOriginAccessIdentityConfig)` The identity's configuration information.
`UpdateCloudFrontOriginAccessIdentityRequest` `withId(String id)` The identity's id.
`UpdateCloudFrontOriginAccessIdentityRequest` `withIfMatch(String ifMatch)` The value of the `ETag` header that you received when retrieving the identity's configuration.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateCloudFrontOriginAccessIdentityRequest

    public UpdateCloudFrontOriginAccessIdentityRequest()

Default constructor for UpdateCloudFrontOriginAccessIdentityRequest object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### UpdateCloudFrontOriginAccessIdentityRequest

    public UpdateCloudFrontOriginAccessIdentityRequest(CloudFrontOriginAccessIdentityConfig cloudFrontOriginAccessIdentityConfig,
                                                       String id,
                                                       String ifMatch)

Constructs a new UpdateCloudFrontOriginAccessIdentityRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `cloudFrontOriginAccessIdentityConfig` - The identity's configuration information.
  `id` - The identity's id.
  `ifMatch` - The value of the `ETag` header that you received when retrieving the identity's configuration. For example: `E2QWRUHAPOMQZL`.

### Method Detail

#### setCloudFrontOriginAccessIdentityConfig

    public void setCloudFrontOriginAccessIdentityConfig(CloudFrontOriginAccessIdentityConfig cloudFrontOriginAccessIdentityConfig)

The identity's configuration information.

Parameters:
  `cloudFrontOriginAccessIdentityConfig` - The identity's configuration information.

#### getCloudFrontOriginAccessIdentityConfig

    public CloudFrontOriginAccessIdentityConfig getCloudFrontOriginAccessIdentityConfig()

The identity's configuration information.

Returns:
  The identity's configuration information.

#### withCloudFrontOriginAccessIdentityConfig

    public UpdateCloudFrontOriginAccessIdentityRequest withCloudFrontOriginAccessIdentityConfig(CloudFrontOriginAccessIdentityConfig cloudFrontOriginAccessIdentityConfig)

The identity's configuration information.

Parameters:
  `cloudFrontOriginAccessIdentityConfig` - The identity's configuration information.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setId

    public void setId(String id)

The identity's id.

Parameters:
  `id` - The identity's id.

#### getId

    public String getId()

The identity's id.

Returns:
  The identity's id.

#### withId

    public UpdateCloudFrontOriginAccessIdentityRequest withId(String id)

The identity's id.

Parameters:
  `id` - The identity's id.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setIfMatch

    public void setIfMatch(String ifMatch)

The value of the `ETag` header that you received when retrieving the identity's configuration. For example: `E2QWRUHAPOMQZL`.

Parameters:
  `ifMatch` - The value of the `ETag` header that you received when retrieving the identity's configuration. For example: `E2QWRUHAPOMQZL`.

#### getIfMatch

    public String getIfMatch()

The value of the `ETag` header that you received when retrieving the identity's configuration. For example: `E2QWRUHAPOMQZL`.

Returns:
  The value of the `ETag` header that you received when retrieving the identity's configuration. For example: `E2QWRUHAPOMQZL`.

#### withIfMatch

    public UpdateCloudFrontOriginAccessIdentityRequest withIfMatch(String ifMatch)

The value of the `ETag` header that you received when retrieving the identity's configuration. For example: `E2QWRUHAPOMQZL`.

Parameters:
  `ifMatch` - The value of the `ETag` header that you received when retrieving the identity's configuration. For example: `E2QWRUHAPOMQZL`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateCloudFrontOriginAccessIdentityRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`